# CanopyLayers
```@meta
CurrentModule = CanopyLayers
```




## Structures
```@docs
Canopy4RT
CanopyOpticals
CanopyRads
IncomingRadiation
LeafBios
LeafOpticals
RTDimensions
SoilOpticals
SolarAngles
WaveLengths
```




## Caches
```@docs
CFCache
create_cf_cache
CGCache
create_cg_cache
SFCache
create_sf_cache
SWCache
create_sw_cache
RTCache
create_rt_cache
```


## Initialization of Structures
```@docs
create_canopy_opticals
create_canopy_rads
create_canopy_rt
create_incoming_radiation
create_leaf_bios
create_leaf_opticals
create_rt_dims
create_wave_length
initialize_rt_module
```




## Big Leaf Model
```@docs
big_leaf_partition
```




## SCOPE Model
```@docs
canopy_fluxes!
canopy_geometry!
canopy_matrices!
clumping_factor!
diffusive_S
diffusive_S!
fluspect!
short_wave!
SIF_fluxes!
thermal_fluxes!
```




## Indicies
```@docs
BLUE
EVI
EVI2
LSWI
NDVI
NIR
NIRv
RED
REF_WL
SIF_740
SIF_757
SIF_771
SIF_WL
SWIR
```




## Utils
```@docs
calctav
dcum
dladgen
e2phot
e2phot!
expint
psofunction
volscatt!
```
